# `z3_jll.jl` (v4.11.2+0)

[![deps](https://juliahub.com/docs/z3_jll/deps.svg)](https://juliahub.com/ui/Packages/z3_jll/wcWKl?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/77a350f365fc1a9ded81ae30fc02011788aedbb9/Z/z3/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `z3_jll.jl` have been built from these sources:

* compressed archive: https://github.com/Z3Prover/z3/archive/z3-4.11.2.tar.gz (SHA256 checksum: `e3a82431b95412408a9c994466fad7252135c8ed3f719c986cd75c8c5f234c7e`)
* compressed archive: https://github.com/phracker/MacOSX-SDKs/releases/download/10.15/MacOSX10.15.sdk.tar.xz (SHA256 checksum: `2408d07df7f324d3beea818585a6d990ba99587c218a3969f924dfcc4de93b62`)

## Platforms

`z3_jll.jl` is available for the following platforms:

* `macOS aarch64 {julia_version=1.7.0}` (`aarch64-apple-darwin-julia_version+1.7.0`)
* `macOS aarch64 {julia_version=1.8.0}` (`aarch64-apple-darwin-julia_version+1.8.0`)
* `macOS aarch64 {julia_version=1.9.0}` (`aarch64-apple-darwin-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=musl}` (`aarch64-linux-musl-cxx03-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=musl}` (`aarch64-linux-musl-cxx03-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=musl}` (`aarch64-linux-musl-cxx03-julia_version+1.8.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=musl}` (`aarch64-linux-musl-cxx03-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=musl}` (`aarch64-linux-musl-cxx11-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=musl}` (`aarch64-linux-musl-cxx11-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=musl}` (`aarch64-linux-musl-cxx11-julia_version+1.8.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=musl}` (`aarch64-linux-musl-cxx11-julia_version+1.9.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03-julia_version+1.8.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11-julia_version+1.8.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=musl}` (`armv6l-linux-musleabihf-cxx03-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.0, libc=musl}` (`armv6l-linux-musleabihf-cxx03-julia_version+1.8.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=musl}` (`armv6l-linux-musleabihf-cxx11-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.0, libc=musl}` (`armv6l-linux-musleabihf-cxx11-julia_version+1.8.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.8.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.8.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.6.3, libc=musl}` (`armv7l-linux-musleabihf-cxx03-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=musl}` (`armv7l-linux-musleabihf-cxx03-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.0, libc=musl}` (`armv7l-linux-musleabihf-cxx03-julia_version+1.8.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.6.3, libc=musl}` (`armv7l-linux-musleabihf-cxx11-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=musl}` (`armv7l-linux-musleabihf-cxx11-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.0, libc=musl}` (`armv7l-linux-musleabihf-cxx11-julia_version+1.8.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.9.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.6.3}` (`i686-w64-mingw32-cxx03-julia_version+1.6.3`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.7.0}` (`i686-w64-mingw32-cxx03-julia_version+1.7.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.8.0}` (`i686-w64-mingw32-cxx03-julia_version+1.8.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.9.0}` (`i686-w64-mingw32-cxx03-julia_version+1.9.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.6.3}` (`i686-w64-mingw32-cxx11-julia_version+1.6.3`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.7.0}` (`i686-w64-mingw32-cxx11-julia_version+1.7.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.8.0}` (`i686-w64-mingw32-cxx11-julia_version+1.8.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.9.0}` (`i686-w64-mingw32-cxx11-julia_version+1.9.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.9.0`)
* `macOS x86_64 {julia_version=1.6.3}` (`x86_64-apple-darwin-julia_version+1.6.3`)
* `macOS x86_64 {julia_version=1.7.0}` (`x86_64-apple-darwin-julia_version+1.7.0`)
* `macOS x86_64 {julia_version=1.8.0}` (`x86_64-apple-darwin-julia_version+1.8.0`)
* `macOS x86_64 {julia_version=1.9.0}` (`x86_64-apple-darwin-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=musl}` (`x86_64-linux-musl-cxx03-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=musl}` (`x86_64-linux-musl-cxx03-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=musl}` (`x86_64-linux-musl-cxx03-julia_version+1.8.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=musl}` (`x86_64-linux-musl-cxx03-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=musl}` (`x86_64-linux-musl-cxx11-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=musl}` (`x86_64-linux-musl-cxx11-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=musl}` (`x86_64-linux-musl-cxx11-julia_version+1.8.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=musl}` (`x86_64-linux-musl-cxx11-julia_version+1.9.0`)
* `FreeBSD x86_64 {julia_version=1.6.3}` (`x86_64-unknown-freebsd-julia_version+1.6.3`)
* `FreeBSD x86_64 {julia_version=1.7.0}` (`x86_64-unknown-freebsd-julia_version+1.7.0`)
* `FreeBSD x86_64 {julia_version=1.8.0}` (`x86_64-unknown-freebsd-julia_version+1.8.0`)
* `FreeBSD x86_64 {julia_version=1.9.0}` (`x86_64-unknown-freebsd-julia_version+1.9.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.6.3}` (`x86_64-w64-mingw32-cxx03-julia_version+1.6.3`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.7.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.7.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.8.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.8.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.9.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.9.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.6.3}` (`x86_64-w64-mingw32-cxx11-julia_version+1.6.3`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.7.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.7.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.8.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.8.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.9.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.9.0`)

## Dependencies

The following JLL packages are required by `z3_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`GMP_jll`](https://github.com/JuliaBinaryWrappers/GMP_jll.jl)
* [`libcxxwrap_julia_jll`](https://github.com/JuliaBinaryWrappers/libcxxwrap_julia_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libz3`
* `LibraryProduct`: `libz3jl`
* `ExecutableProduct`: `z3`
